- Home
- API Enriched
- Sites
- sync-cloud-data
- List Cloud Resources.
List Cloud Resources.
GET
/api/sync-cloud-data/namespaces/system/securemesh_site_v2/{site_name}/cloud_resources
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/sync-cloud-data/namespaces/system/securemesh_site_v2/example/cloud_resources';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/sync-cloud-data/namespaces/system/securemesh_site_v2/example/cloud_resources \ --header 'Authorization: <Authorization>'API to list all resource for given site.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”site_name
required
string
Site name
site name.
Query Parameters
Section titled “Query Parameters”deletion
boolean format: boolean
Query param deletion to GET only to be deleted and all resource.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Cloud Resource Response
List all cloud resources.
object
aws_cloud_resources
object
aws_cloud_resources
AWS Cloud Resource
List of AWS Cloud Resource.
Array<object>
AWS Cloud Resource TypeAWS Cloud Resource Type.
object
resource_id
Resource Id
Resource ID.
Array<string>
resource_type
Resource Type
Resource Type.
string
Examplegenerated
{ "aws_cloud_resources": { "aws_cloud_resources": [ { "resource_id": [ "example" ], "resource_type": "example" } ] }}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example